RESTinio

Functions
restinio::utils::uri_normalization::unreserved_chars::impl Namespace Reference

## Functions
RESTINIO_NODISCARD constexpr bool | is_unreserved_char (const char ch) noexcept
| Is this symbol a part of unreserved set? More...
template<typename One_Byte_Handler , typename Three_Byte_Handler >
void | run_normalization_algo (string_view_t what, One_Byte_Handler &&one_byte_handler, Three_Byte_Handler &&three_byte_handler)
| Internal helper to perform the main logic of enumeration of symbols in URI. More...

## Function Documentation

## ◆ is_unreserved_char()

RESTINIO_NODISCARD constexpr bool restinio::utils::uri_normalization::unreserved_chars::impl::is_unreserved_char | ( | const char | ch | ) |
| inline constexpr noexcept

Is this symbol a part of unreserved set?

See https://tools.ietf.org/html/rfc3986#section-2.3 for more details.

Since
  v.0.6.2

Definition at line 478 of file percent_encoding.hpp.

## ◆ run_normalization_algo()

template<typename One_Byte_Handler , typename Three_Byte_Handler >

void restinio::utils::uri_normalization::unreserved_chars::impl::run_normalization_algo | ( | string_view_t | what,
|  | One_Byte_Handler && | one_byte_handler,
|  | Three_Byte_Handler && | three_byte_handler
| ) |  |

Internal helper to perform the main logic of enumeration of symbols in URI.

Inspect the content of what and calls one_byte_handler if single characted should be used as output, otherwise calls three_bytes_handler (if percent-encoding sequence from three chars should be passed to the output as is).

Attention
  Throws if invalid UTF-8 sequence is found.

v.0.6.5

Definition at line 503 of file percent_encoding.hpp.